stages:
  - build

build:
  stage: build
  image: docker:20.10.16
  services:
    - docker:20.10.16-dind
  before_script:
    - apk update
    - apk add --no-cache curl
    - apk add --no-cache openjdk17
    - chmod +x ./gradlew
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - ./gradlew bootBuildImage --imageName=demo
    - docker tag demo $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
